Package org.apache.sysds.runtime.io

## Class ReaderCOGParallel.TileProcessor

- java.lang.Object
- - org.apache.sysds.runtime.io.ReaderCOGParallel.TileProcessor

All Implemented Interfaces:
  `Callable<MatrixBlock>`

Enclosing class:
  ReaderCOGParallel

    public class ReaderCOGParallel.TileProcessor
    extends Object
    implements Callable<MatrixBlock>

### Constructor Summary

Constructors
`TileProcessor​(int clen, byte[] tileData, int tileRow, int tileCol, int tileWidth, int tileLength, int bands, int[] bitsPerSample, SampleFormatDataTypes[] sampleFormat, COGHeader cogHeader, MatrixBlock dest, int planarConfiguration)`
`TileProcessor​(int clen, byte[] tileData, int tileRow, int tileCol, int tileWidth, int tileLength, int bands, int[] bitsPerSample, SampleFormatDataTypes[] sampleFormat, COGHeader cogHeader, MatrixBlock dest, int planarConfiguration, int band)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MatrixBlock` `call()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TileProcessor

    public TileProcessor​(int clen,
                         byte[] tileData,
                         int tileRow,
                         int tileCol,
                         int tileWidth,
                         int tileLength,
                         int bands,
                         int[] bitsPerSample,
                         SampleFormatDataTypes[] sampleFormat,
                         COGHeader cogHeader,
                         MatrixBlock dest,
                         int planarConfiguration)

#### TileProcessor

    public TileProcessor​(int clen,
                         byte[] tileData,
                         int tileRow,
                         int tileCol,
                         int tileWidth,
                         int tileLength,
                         int bands,
                         int[] bitsPerSample,
                         SampleFormatDataTypes[] sampleFormat,
                         COGHeader cogHeader,
                         MatrixBlock dest,
                         int planarConfiguration,
                         int band)

### Method Detail

#### call

    public MatrixBlock call()
                     throws Exception

Specified by:
  `call` in interface `Callable<MatrixBlock>`
Throws:
  `Exception`